﻿/* IXS Wizard UI */

/* forms */
fieldset {
    border: none;
    margin: 0;
    padding: 0;
}

    fieldset legend {
        display: none;
    }

    fieldset p {
        font-size: 11pt;
    }

    fieldset table
    {
        margin-bottom:6px;
    }
        
    fieldset label {
        float: left;
        width: 120px;
        display: inline;
        font-size: 0.9em;
        /* font-weight: 600; */
    }

    fieldset label.checkbox {
        display: inline;
    }
        
    fieldset input[type="text"],
    fieldset input[type="password"] {
        border: 1px solid #e2e2e2;
        color: #333;
        font-size: 0.9em;
        margin: 1px 0 1px 0;
        padding: 3px;
        width: 300px;
    }

    fieldset input[type="text"]:focus,
    fieldset input[type="password"]:focus {
        border: 1px solid #7ac0da;
    }

    fieldset input[type="submit"] {
        background-color: #d3dce0;
        border: 1px solid #787878;
        cursor: pointer;
        font-size: 1.2em;
        /*font-weight: 600;*/
        padding: 7px;
    }

    .nav-block{ 
        position:absolute;
        right:10px;
        bottom:5px;
        width:200px
    }
   
    .navbutton{
        float:right;
        margin-right:5px;
        outline:0;
    }

    .navbutton-cancel{ 
        margin-top:7px;
        margin-right:15px;
    }

    .navbutton-prev { 
        margin-top:7px;
    }

 .prev { position:absolute;left:0px;top:6px}
 .next { position:absolute;left:50px;}
 .next-lowshade { position:absolute;left:50px;z-index:-1; }
 .finish{ float:left;background-color:rgb(41,61,93);}
 .cancel{ float:left;margin-top:6px;margin-left:9px;text-decoration:underline;}
 
 .finish-block{ position: relative;top:90px;}
 #steps { list-style:none; width:100%; overflow:hidden; margin:0px; padding:0px;}
 #steps li {font-size:24px; float:left; padding:10px; color:#b0b1b3;}
 #steps li span {font-size:11px; display:block;}
 #steps li.current { color:#000;}
 #makeWizard { background-color:#b0232a; color:#fff; padding:5px 10px; text-decoration:none; font-size:18px;}
 #makeWizard:hover { background-color:#000;}

#wizard-form
{
    margin-left:16px;
}

#wizard-form label
{
    display:block;
}

#wizard-form input
{
    display:block;
}

.ixs-wizard-dialog
{
    /* background-color: rgb(41,61,93) !important; */
    background-color: rgb(241,241,241) !important; 
    color: rgb(41,61,93);
    padding-left:0;
    padding-right:0;
}

.ixs-wizard-dialog .ui-dialog-title
{
    margin-left:154px !important;
    font-weight: normal;
}

.wizard-page-header
{
    font-size:22pt;
    margin-bottom:45px;
}

.wizard-page-subtle-header
{
    font-size:14pt;
    margin-top:40px;
    margin-bottom:45px;
}

.ixs-wizard-green-highlight
{
    color:rgb(140,191,38);
}

/* Steps Indicator within Wizard Dialog */
.steps-indicator
{
}

 ul.steps-indicator
{
	 list-style:none; width:80%; overflow:hidden; 
     margin:0px;
	 padding-left:10px;
     margin-top:12px;
     margin-left:155px;
}

ul.steps-indicator-text
{
	 list-style:none; width:80%; 
     overflow:hidden; 
     margin:0;
     margin-top:15px;
	 padding-left:10px;
     margin-left:155px;
}

ul.steps-indicator li
{
	display:inline;
	list-style-type: none;
	list-style-image: none;
	list-style-position:outside;
}

ul.steps-indicator-text li
{
	display:inline;
	list-style-type: none;
	list-style-image: none;
	list-style-position:outside;
}

.circle-elem
{
	position:relative;
	width: 16px;
    height: 16px;
    border-radius: 50%;
    float: left;
	margin-left:-8px;
	z-index:1
}

.circle-on
{
    background: #8cbf26;
}
   
.circle-off 
{
    background: rgb(127,127,127);
}


.line-elem
{
	/* width: 120px; */
    height: 2px;
    float: left;
	margin-left:-10px;
	margin-top:7px;
	z-index:-1;
}

.line-on
{
    /* background: #8cbf26; */
    background: rgb(127,127,127);
}

.line-off 
{
    background: rgb(127,127,127);
}

.step-text-elem
{   
    width:120px;
    float: left;
	margin-left:-10px;
}

.step-text-selected
{
    font-weight:bold;
}

.step-text-on
{
    color: #8cbf26;
}

.step-text-off
{
    color: rgb(127,127,127);
}

.verticalrule
{
    border-right:1px solid white;
}

.check-mark
{
    background-image: url("/images/checkmark.svg");
    background-repeat: no-repeat;
    width: 18px;
    height: 18px;
    float:left;
    margin-left:-25px;
    display:none;
}

.ui-selected > .check-mark
{
    display:block;
}

#selectableNamespaces .ui-widget-content { background: transparent; border-top-color:transparent; 
                                           border-bottom-color:transparent; border-right-color:transparent; 
                                           border-left-color:transparent; color:rgb(41,61,93); }    
#selectableNamespaces .ui-widget-content:hover {background-color: rgb(201,201,201); }
#selectableNamespaces .ui-selecting { background: #98aec6;}    
#selectableNamespaces .ui-selected { color: rgb(41,61,93); }    
#selectableNamespaces { height:340px;  margin: 0; padding: 0; overflow-y: scroll; } 
   
#selectableNamespaces li { margin-left:27px; margin-top: 2px; margin-bottom: 2px; padding-top: 0.3em; padding-bottom: 0.3em; height: 16px; }
#selectableNamespaces li p { float:left; margin-top:0;margin-bottom:0; }

.k-treeview .k-minus {
    background: url("../images/open.svg") center center;
}
 
.k-treeview .k-plus {
    background: url("../images/closed.svg") center center;
}

#afhierarchybrowser li
{
    color: rgb(41,61,93); 
}

#last-opt-hyperlinks li
{
    margin-top: 12px; 
}

#last-opt-hyperlinks a,#last-opt-hyperlinks a:visited,#last-opt-hyperlinks a:link{
    text-decoration:none;
    color:rgb(41,61,93); 
}

#last-opt-hyperlinks a:hover{
    color:#d3dce0;
    text-decoration:underline;
}